MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
InputPlugin Struct Reference

`#include <InputPlugin.hxx>`

Collaboration diagram for InputPlugin:
[legend]

## Data Fields
const char * | name
void(* | init )(const ConfigBlock &block)
| Global initialization. More...
void(* | finish )()
| Global deinitialization. More...
InputStream *(* | open )(const char *uri, Mutex &mutex, Cond &cond)
| Throws std::runtime_error on error. More...

## Detailed Description

Definition at line 41 of file InputPlugin.hxx.

## Field Documentation

void(* InputPlugin::finish) ()

Global deinitialization.

Called once before MPD shuts down (only if init() has returned true).

Definition at line 58 of file InputPlugin.hxx.

void(* InputPlugin::init) (const ConfigBlock &block)

Global initialization.

This method is called when MPD starts.

Throws PluginUnavailable if the plugin is not available and shall be disabled.

Throws std::runtime_error on (fatal) error.

Definition at line 52 of file InputPlugin.hxx.

const char* InputPlugin::name

Definition at line 42 of file InputPlugin.hxx.

InputStream*(* InputPlugin::open) (const char *uri, Mutex &mutex, Cond &cond)

Throws std::runtime_error on error.

Definition at line 63 of file InputPlugin.hxx.

The documentation for this struct was generated from the following file:

- input/InputPlugin.hxx